// SPDX-License-Identifier: BSD-3-Clause
// Copyright (c) 2021, The Monero Project.

#ifndef MONEROSERVICE_COMMANDLINEEDIT_H
#define MONEROSERVICE_COMMANDLINEEDIT_H

#include <QObject>
#include <QLineEdit>

class CommandLineEdit : public QLineEdit {
    Q_OBJECT

public:
    explicit CommandLineEdit(QWidget *parent = nullptr);

    void keyPressEvent(QKeyEvent *event) override;

signals:
    void commandExecuted(const QStringList &command);

private:
    void updateHistory();
    bool decreaseIndex();
    bool increaseIndex();
    QString getCommand(int index);

    QString m_currentLine;
    int m_historyIndex = 1;
    QStringList m_history;
};


#endif //MONEROSERVICE_COMMANDLINEEDIT_H
