// SPDX-License-Identifier: BSD-3-Clause
// Copyright (c) 2021, The Monero Project.

#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QMenu>
#include <QLabel>
#include <QSystemTrayIcon>

#include "DaemonManager.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow() override;

private:
    void writeLogLine(const QString &line);
    void changeEvent(QEvent *e) override;
    void showConfigurator();
    void sendCommand(const QStringList &command);
    void askRestartMonerod();
    void setStatus(const QString &status);
    QStringList getStartupFlags();
    int getPort();
    QString defaultMonerodPath();
    QString loadStylesheet(const QString &resource);

    Ui::MainWindow *ui;

    QSystemTrayIcon *m_trayIcon;
    QMenu m_trayMenu;
    QAction *m_stopDaemon;
    QAction *m_showWindow;




    DaemonManager *daemonManager;
};

#endif // MAINWINDOW_H
